function sc_SaveOriginalSettings()
	PERSISTENT.easyMapModeSave = MODEL.lua.vEasyMapMode()
	PERSISTENT.easyViewModeSave = MODEL.lua.vEasyViewMode()
	PERSISTENT.overViewModeOnSave = MODEL.lua.OverViewModeOn()
	PERSISTENT.speedcam_warningSave = MODEL.warning.speedcam_warning()
	PERSISTENT.speedlimit_warning_visualSave =  MODEL.warning.speedlimit_warning_visual()
	PERSISTENT.speedlimit_warning_voiceSave =  MODEL.warning.speedlimit_warning_voice()
	PERSISTENT.junctionViewOnSave = MODEL.navigation.junction_view_on()
	PERSISTENT.highway_driveSave = MODEL.other.highway_drive.enabled()
	PERSISTENT.tripInfoVisibleSave = MODEL.lua.tripInfoVisible()
	PERSISTENT.signpostOnSave = MODEL.lua.SignpostOn()
	PERSISTENT.congestion_ad_onSave =  MODEL.navigation.congestion_ad_on()
	PERSISTENT.toggleSave =  MODEL.navigation.parking_ad.toggle()
	PERSISTENT.suddenDetourdSave =  MODEL.navigation.sudden_detour.enabled()
	PERSISTENT.quickDetourSave = MODEL.navigation.quickdetour_enabled()
	PERSISTENT.tunnelViewSave =  MODEL.navigation.tunnel_view.enabled()
        PERSISTENT.raster_in_2dSave = MODEL.map.raster_in_2d()
end

do
	local old_func = sc_NavModeChange
	function sc_NavModeChange()
		old_func()
		if MODEL.lua.ptp_navigation()  then
			sc_SaveOriginalSettings()
	    MODEL.lua.vEasyMapMode = EMapMode.Mode_2D
	    MODEL.lua.vEasyViewMode = 2
	    MODEL.lua.OverViewModeOn = 0
            MODEL.warning.speedcam_warning = 0
            MODEL.warning.speedlimit_warning_visual = 0
            MODEL.warning.speedlimit_warning_voice = 0
            MODEL.navigation.junction_view_on = 0
            MODEL.other.highway_drive.enabled = 0
            MODEL.lua.tripInfoVisible = 0
            MODEL.lua.SignpostOn = 0
            MODEL.navigation.congestion_ad_on = 0
            MODEL.navigation.parking_ad.toggle = 0
            MODEL.navigation.sudden_detour.enabled = 0
	    MODEL.navigation.quickdetour_enabled = 0
            MODEL.navigation.tunnel_view.enabled = 0
            MODEL.map.raster_in_2d = 1
                
		else
	    MODEL.lua.vEasyMapMode = PERSISTENT.easyMapModeSave()
	    MODEL.lua.vEasyViewMode = PERSISTENT.easyViewModeSave()
	    MODEL.lua.OverViewModeOn = PERSISTENT.overViewModeOnSave()
            MODEL.warning.speedcam_warning = PERSISTENT.speedcam_warningSave()
            MODEL.warning.speedlimit_warning_visual = PERSISTENT.speedlimit_warning_visualSave()
            MODEL.warning.speedlimit_warning_voice = PERSISTENT.speedlimit_warning_voiceSave()
            MODEL.navigation.junction_view_on = PERSISTENT.junctionViewOnSave()
            MODEL.other.highway_drive.enabled = PERSISTENT.highway_driveSave()
            MODEL.lua.tripInfoVisible = PERSISTENT.tripInfoVisibleSave()
            MODEL.lua.SignpostOn = PERSISTENT.signpostOnSave()
            MODEL.navigation.congestion_ad_on = PERSISTENT.congestion_ad_onSave()
            MODEL.navigation.parking_ad.toggle = PERSISTENT.toggleSave()
            MODEL.navigation.sudden_detour.enabled = PERSISTENT.suddenDetourdSave()
	    MODEL.navigation.quickdetour_enabled = PERSISTENT.quickDetourSave()
            MODEL.navigation.tunnel_view.enabled = PERSISTENT.tunnelViewSave()
            MODEL.map.raster_in_2d = PERSISTENT.raster_in_2dSave()
		end
	sc_set_Nav2D3D()
	SAVESETTINGS()
	end

end


function st_POI_Flat_Con_0_List.init()
	gPOI_Flat_Con_0_ListStateCount = gPOI_Flat_Con_0_ListStateCount + 1
	if gPOI_Flat_Con_0_ListStateCount == 1 then
		sc_POI_Flat_Con_0_DoSearch(true)
	end
	txtTitle.TEXT = m_i18n("Local Search")
	
	if MODEL.lua.IgoSearch() then
		g_OnPoiListItemClicked = sc_IgoSearch_OnPoiItemClicked
	else
		g_OnPoiListItemClicked = sc_FlatSearch_OnPoiItemClicked
	end
	
	MODEL.lua.hasLocalmenu = true
end


function sc_IgoSearch_OnPoiItemClicked( thisPOI )
	local currentPoi = ( thisPOI == nil and MODEL["*"] or thisPOI )

	MODEL.my.poi.select_poi(currentPoi.provider_id(), currentPoi.id());
	--MODEL.map.cursor.position = MODEL.my.map.selected_item.position()
	MODEL.poi.resultpoi.clear()
	MODEL.poi.resultpoi.add_poi_by_id(currentPoi.provider_id(), currentPoi.id())

	PoiSelected = true
	MODEL.map.primary.clear_clicked_lists()
	MODEL.map.cursor.position = currentPoi.position()

	sc_OnMapInfo_Igosearch()
end

createState(
		"-replace-",
		st_About,
		{
			extends = st_About,
			init = function()
				if MODEL.lua.SoftwareUpdateLocation() ~= L"" then
					MODEL.lua.hasFooter = false
				end	
			end,	
		}
)